<?php

try {
	// Attributes:
	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");

	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('rssgenerator_templates') . '`;');
	$setup->run('DROP TABLE IF EXISTS `' . $resource->getTableName('datagenerator_templates') . '`;');

	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'rssgenerator/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'rssgenerator_setup'");
	// datafeed
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'datagenerator/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'datagenerator_setup'");

	// Files:
	$paths = array(
		'/app/design/adminhtml/default/default/layout/rssgenerator.xml',
		'/app/design/adminhtml/default/default/template/rssgenerator/',
		'/app/locale/en_US/Plumrocket_Rssgenerator.csv',
		'/app/code/local/Plumrocket/Rssgenerator/',
		'/app/etc/modules/Plumrocket_Rssgenerator.xml',
		'/skin/adminhtml/default/default/css/plumrocket/rssgenerator/',
		'/skin/adminhtml/default/default/js/plumrocket/rssgenerator/',

		'/app/design/adminhtml/default/default/layout/datagenerator.xml',
		'/app/design/adminhtml/default/default/template/datagenerator/',
		'/app/locale/en_US/Plumrocket_Datagenerator.csv',
		'/app/code/community/Plumrocket/Datagenerator/',
		'/app/etc/modules/Plumrocket_Datagenerator.xml',
		'/skin/adminhtml/default/default/css/plumrocket/datagenerator/',
		'/skin/adminhtml/default/default/js/plumrocket/datagenerator/',
	);

	$basePath = dirname(__FILE__);
	foreach ($paths as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
